from setuptools import setup, find_packages

setup(
    name="mcp-mssql",
    version="0.1.4",
    author="amornpan",
    author_email="amornpan@gmail.com",
    description="MSSQL server package for MCP",
    long_description=open("README.md").read(),
    long_description_content_type="text/markdown",
    url="https://github.com/amornpan/mcp-mssql",
    packages=find_packages(where="src"),
    package_dir={"": "src"},
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires=">=3.6",
    install_requires=[
        "anyio==4.8.0",
        "certifi==2025.1.31",
        "click==8.1.8",
        "colorama==0.4.6",
        "exceptiongroup==1.2.2",
        "fastapi==0.115.8",
        "h11==0.14.0",
        "httpcore==1.0.7",
        "httpx==0.28.1",
        "httpx-sse==0.4.0",
        "idna==3.10",
        "mcp==1.2.0",
        "pydantic==2.10.6",
        "pydantic-settings==2.7.1",
        "pydantic_core==2.27.2",
        "pyodbc==5.2.0",
        "python-dotenv==1.0.1",
        "sniffio==1.3.1",
        "sse-starlette==2.2.1",
        "starlette==0.45.3",
        "typing_extensions==4.12.2",
        "uvicorn==0.34.0"
    ],
)